<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Name: Kategorie des Medikationseintrags
Description: Kategorie für diesen Eintrag
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000">
   <title>Kategorie des Medikationseintrags</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]
Item: (Eintragkategorie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]"
         id="d20e6669-false-d21846e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="string(@classCode) = ('OBS')">(Eintragkategorie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="string(@moodCode) = ('EVN')">(Eintragkategorie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']) &gt;= 1">(Eintragkategorie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']) &lt;= 1">(Eintragkategorie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:code[(@code = 'MKAT' and @codeSystem = '2.16.840.1.113883.3.1937.99.61.48.5.1') or @nullFlavor]) &lt; 1">(Eintragkategorie): Element hl7:code ist codiert mit Bindungsstärke 'preferred' und enthält ein Code außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:code[(@code = 'MKAT' and @codeSystem = '2.16.840.1.113883.3.1937.99.61.48.5.1') or @nullFlavor]) &lt;= 1">(Eintragkategorie): Element hl7:code[(@code = 'MKAT' and @codeSystem = '2.16.840.1.113883.3.1937.99.61.48.5.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Eintragkategorie): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Eintragkategorie): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Eintragkategorie): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Eintragkategorie): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Eintragkategorie): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Eintragkategorie): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']"
         id="d20e6675-false-d21913e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Eintragkategorie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.48.10.19')">(Eintragkategorie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.99.61.48.10.19' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:id
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:id"
         id="d20e6680-false-d21927e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Eintragkategorie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:code[(@code = 'MKAT' and @codeSystem = '2.16.840.1.113883.3.1937.99.61.48.5.1') or @nullFlavor]
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:code[(@code = 'MKAT' and @codeSystem = '2.16.840.1.113883.3.1937.99.61.48.5.1') or @nullFlavor]"
         id="d20e6682-false-d21938e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Eintragkategorie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="@nullFlavor or (@code='MKAT' and @codeSystem='2.16.840.1.113883.3.1937.99.61.48.5.1' and @displayName='Kategorie des Medikationseintrags')">(Eintragkategorie): Der Elementinhalt MUSS einer von 'code 'MKAT' codeSystem '2.16.840.1.113883.3.1937.99.61.48.5.1' displayName='Kategorie des Medikationseintrags'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:statusCode[@code = 'completed']
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:statusCode[@code = 'completed']"
         id="d20e6688-false-d21955e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Eintragkategorie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="@nullFlavor or (@code='completed')">(Eintragkategorie): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:effectiveTime
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:effectiveTime"
         id="d20e6693-false-d21971e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Eintragkategorie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="not(*)">(Eintragkategorie): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.48.10.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Eintragkategorie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.48.10.19']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e6695-false-d21987e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Eintragkategorie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190916T112557/tmp-2.16.840.1.113883.3.1937.99.61.48.10.19-2019-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.61.48.11.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Eintragkategorie): Der Elementinhalt MUSS einer von '2.16.840.1.113883.3.1937.99.61.48.11.2 Medikationseintrag Kategorie (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
